﻿//---------------------------------------------------------------------------

#include <fmx.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.fmx"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  //ตัวอย่าง Anchors
  //C++ Builder Berlin 10.1 Starter Edition のFireMonkey(FMX）のソースです。
  //フォームのサイズを変更したときに、フォーム内のコンポーネントの位置も、
  //自動的に変わるようにしないと不自然です。
  //C++ Builderでは、コードを書かなくても、オブジェクトインスペクタで
  //コンポーネントのプロパティのAnchors内の、akLeft(左)、akTop(上)、akRight(右)、
  //akButtom(下)をセットするだけで、フォームのサイズ変更時に追従してコンポーネント
  //を寄せる側を指定することができます。

  //コードで書く場合は以下のように書きます。(以下はFMXとVCL間でのソース互換あり。)

  //Memo1をフォームのサイズを変更時、Mimo1の大きさをフォームに大きさに合わせる
  Memo1->Anchors = TAnchors() << TAnchorKind::akLeft << TAnchorKind::akTop
	<< TAnchorKind::akRight << TAnchorKind::akBottom;

  //Edit1をフォームのサイズを変更時、フォームの大きさに合わせて右寄せする。
  Edit1->Anchors = (TAnchors() << TAnchorKind::akTop << TAnchorKind::akRight)
	>> TAnchorKind::akBottom >> TAnchorKind::akLeft;

  //Button1をフォームのサイズを変更時、フォームの大きさに合わせて右寄せする。
  Button1->Anchors = (TAnchors() << TAnchorKind::akTop << TAnchorKind::akRight)
    >> TAnchorKind::akBottom >> TAnchorKind::akLeft;

}
//---------------------------------------------------------------------------
